package main

import (
	"fmt"
)

type User struct {
	ID   int
	Name string
}

type Guest struct {
	ID    int
	Alias string
}

type Admin struct {
	User
	Guest
}

func main() {
	a := Admin{
		User: User{
			ID:   1,
			Name: "Cory",
		},
		Guest: Guest{
			ID:    -1,
			Alias: "guest",
		},
	}
	fmt.Println(a.ID)
}
